typedef struct apr_ctx apr_ctx;

/* Identify an ACT Apricot format image. Does not validate image. */
int apr_identify( img_fns *cb, img_file imgf );

/* Open an image for access. May fail if image is damaged or too complex. */
int apr_open( img_fns *cb, img_file imgf, apr_ctx *apr );

/* Query the comment string. Returns NULL if no comment provided. */
const char *apr_query_comment( img_fns *cb, apr_ctx *apr );

/* Read a single sector from the image. */
int apr_read_sect( img_fns *cb, apr_ctx *apr, int sect_num, void *buf );

/* Close an image once all accesses are completed. */
void apr_close( img_fns *cb, apr_ctx *apr );
