typedef struct cqm_ctx cqm_ctx;

/* Identify a CopyQM format image. Does not validate image. */
int cqm_identify( img_fns *cb, img_file imgf );

/* Open an image for access. May fail if image is damaged or too complex. */
int cqm_open( img_fns *cb, img_file imgf, cqm_ctx *cqm );

/* Query the comment string. Returns NULL if no comment provided. */
const char *cqm_query_comment( img_fns *cb, cqm_ctx *cqm );

/* Read a single sector from the image. */
int cqm_read_sect( img_fns *cb, cqm_ctx *cqm, int sect_num, void *buf );

/* Close an image once all accesses are completed. */
void cqm_close( img_fns *cb, cqm_ctx *cqm );
