/* Definitions shared by front ends and image back-ends. */

/* Default sector size. */
#define IMG_SEC_SZ_DEF  512

/* Largest (somewhat) common sector size. */
#define IMG_SEC_SZ_MAX  2048

/* Image decoding errors. */
#define IMG_OK              0       /* No error. */
#define IMG_ERR_NO_SECT     -1      /* Sector not found in image. */
#define IMG_ERR_MEM_ALLOC   -2      /* Failed to allocate memory. */
#define IMG_ERR_READ        -3      /* Failed to read image data. */
#define IMG_ERR_BAD_IMG     -4      /* Recognized but corrupted image. */
#define IMG_ERR_DECODE      -5      /* Failed to decode image data. */
#define IMG_ERR_CSUM        -6      /* Bad checksum (corrupted data). */
#define IMG_ERR_BAD_SECT    -7      /* Bad sector recorded in image. */
#define IMG_ERR_UNK_IMG     -8      /* Unrecognized image format. */
#define IMG_ERR_CANT_CONV   -9      /* Cannot convert source image. */
