typedef struct df_ctx df_ctx;

/* Identify a DF format image. Does not validate image. */
int df_identify( img_fns *cb, img_file imgf );

/* Open an image for access. May fail if image is damaged. */
int df_open( img_fns *cb, img_file imgf, df_ctx *ctx );

/* Query the comment string. Returns NULL if no comment provided. */
const char *df_query_comment( img_fns *cb, df_ctx *ctx );

/* Read a single sector from the image. */
int df_read_sect( img_fns *cb, df_ctx *ctx, int sect_num, void *buf );

/* Close an image once all accesses are completed. */
void df_close( img_fns *cb, df_ctx *ctx );
