typedef struct dskf_ctx dskf_ctx;

/* Identify an IBM DSK format image. Does not validate image. */
int dskf_identify( img_fns *cb, img_file img );

/* Open an image for access. May fail if image is damaged. */
int dskf_open( img_fns *cb, img_file img, dskf_ctx *dskf );

/* Query the comment string. Returns NULL if no comment provided. */
const char *dskf_query_comment( img_fns *cb, dskf_ctx *dskf );

/* Read a single sector from the image. */
int dskf_read_sect( img_fns *cb, dskf_ctx *dskf, int sect_num, void *buf );

/* Close an image once all accesses are completed. */
void dskf_close( img_fns *cb, dskf_ctx *dskf );
