/* A simple implementation of the disk image manipulation routines. */

#include <stdlib.h>
#include <stdio.h>

#include "img_help.h"

void imgfn_seek( img_file img, long ofs )
{
    FILE    *fp = img;

    fseek( fp, ofs, SEEK_SET );
}

long imgfn_fsize( img_file img )
{
    FILE    *fp = img;
    long    saved_pos;
    long    file_size;

    saved_pos = ftell( fp );
    fseek( fp, 0L, SEEK_END );
    file_size = ftell( fp );
    fseek( fp, saved_pos, SEEK_SET );
    return( file_size );
}

size_t imgfn_read( img_file img, void *buf, size_t cnt )
{
    FILE    *fp = img;

    return( fread( buf, 1, cnt, fp ) );
}

void *imgfn_m_alloc( size_t cnt )
{
    return( malloc( cnt ) );
}

void *imgfn_m_alloc_z( size_t cnt )
{
    return( calloc( 1, cnt ) );
}

void imgfn_m_free( void *ptr )
{
    free( ptr );
}

img_fns     ifn = {
    imgfn_seek,
    imgfn_fsize,
    imgfn_read,
    imgfn_m_alloc,
    imgfn_m_alloc_z,
    imgfn_m_free
};
