typedef struct imd_ctx imd_ctx;

/* Identify an ImageDisk format image. Does not validate image. */
int imd_identify( img_fns *cb, img_file imgf );

/* Open an image for access. May fail if image is damaged or too complex. */
int imd_open( img_fns *cb, img_file imgf, imd_ctx *imd );

/* Query the comment string. Returns NULL if no comment provided. */
const char *imd_query_comment( img_fns *cb, imd_ctx *imd );

/* Read a single sector from the image. */
int imd_read_sect( img_fns *cb, imd_ctx *imd, int sect_num, void *buf );

/* Close an image once all accesses are completed. */
void imd_close( img_fns *cb, imd_ctx *imd );
