typedef struct qrst_ctx qrst_ctx;

/* Identify a Compaq QRST format image. Does not validate image. */
int qrst_identify( img_fns *cb, img_file imgf );

/* Open an image for access. May fail if image is damaged. */
int qrst_open( img_fns *cb, img_file imgf, qrst_ctx *qrst );

/* Query the comment string. Returns NULL if no comment provided. */
const char *qrst_query_comment( img_fns *cb, qrst_ctx *qrst );

/* Read a single sector from the image. */
int qrst_read_sect( img_fns *cb, qrst_ctx *qrst, int sect_num, void *buf );

/* Close an image once all accesses are completed. */
void qrst_close( img_fns *cb, qrst_ctx *qrst );
