typedef struct td_ctx td_ctx;

/* Identify a TeleDisk format image. Does not validate image. */
int td_identify( img_fns *cb, img_file imgf );

/* Open an image for access. May fail if image is damaged or too complex. */
int td_open( img_fns *cb, img_file imgf, td_ctx *td );

/* Query the comment string. Returns NULL if no comment provided. */
const char *td_query_comment( img_fns *cb, td_ctx *td );

/* Read a single sector from the image. */
int td_read_sect( img_fns *cb, td_ctx *td, int sect_num, void *buf );

/* Close an image once all accesses are completed. */
void td_close( img_fns *cb, td_ctx *td );
