typedef struct wcd_ctx wcd_ctx;

/* Identify a WC DISK format image. Does not validate image. */
int wcd_identify( img_fns *cb, img_file img );

/* Open an image for access. May fail if image is damaged. */
int wcd_open( img_fns *cb, img_file img, wcd_ctx *wcd );

/* Query the comment string. Returns NULL if no comment provided. */
const char *wcd_query_comment( img_fns *cb, wcd_ctx *wcd );

/* Read a single sector from the image. */
int wcd_read_sect( img_fns *cb, wcd_ctx *wcd, int sect_num, void *buf );

/* Close an image once all accesses are completed. */
void wcd_close( img_fns *cb, wcd_ctx *wcd );
